Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "a8d3e8f2-a86b-43f1-8a4f-32d47b2cf708",
"date_start": "2026-10-21T20:56:35.8229646+00:00",
"date_end": "2026-10-21T20:56:35.8229646+00:00",
"modified_dateutc": "2026-10-21T20:56:35.8229646+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "585a04d0-63ec-45ed-b58a-fccc88e45985",
"user_code": "sample string 8",
"user": {
"id": "6e9fb359-a9a0-4c49-a6bc-d058c8979edd",
"db_language_id": "f49a05ae-0b94-439d-8906-c2fc8120c097",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-21T20:56:35.8229646+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "28256016-a537-4889-868f-194c29016b62",
"sales_organization": {
"id": "a70eab5c-d072-40f5-8e5f-e0730af9a056",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "277aec02-cab4-472b-8de5-d5fd260c9177",
"db_currency_id": "c5e8a669-e1ce-4fd3-a1eb-54bd7422c656",
"db_language_id": "f3fb2594-c59e-47ec-9d6d-e24bab16a60c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T20:56:35.8229646+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "9be84c14-1db1-466a-b9f6-c496dbb1f889",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "f88ed9c6-123f-4e7a-a69c-dc46df9ca243",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-21T20:56:35.8229646+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "80be9a61-785a-449c-9d32-b00ffc7f18e5"
},
"user_unavailability_type_id": "39e2ad60-a4c3-43a5-adb7-2dd16ccc0c09",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "6edacd60-c35b-4a34-8914-ceeaf741188e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "3ab39bd9-95b8-48d2-8509-dc1a875ad994",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a70eab5c-d072-40f5-8e5f-e0730af9a056",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "277aec02-cab4-472b-8de5-d5fd260c9177",
"db_currency_id": "c5e8a669-e1ce-4fd3-a1eb-54bd7422c656",
"db_language_id": "f3fb2594-c59e-47ec-9d6d-e24bab16a60c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-21T20:56:35.8229646+00:00"
},
"modified_dateutc": "2026-10-21T20:56:35.8229646+00:00"
}
}